echo off
cls
      r210
      sg_mem 185
      if errorlevel 1 goto nomem
      goto mem_ok
:nomem
      cls
      echo Sorry, there isn't enough memory currently available
      echo to run the RAPIDFILE demonstration.  You need at least 185k bytes free.
      goto finis
:mem_ok
      sg_dmode
      if errorlevel 8 goto cdisplay
      if errorlevel 7 goto mono
      goto cdisplay
:mono
      cls
      rem r221
      echo 
      echo 
      echo         You can set up this demonstration to run automatically.
      echo 
      echo       Wait 15 seconds without pressing a key and the demonstration
      echo                        will move along on its own.
      echo 
      echo         Or...you can press any key now to view this demonstration
      echo                            at your own pace.
      echo 
      sg_askw 15 c  
      if errorlevel 255 goto mtime
      goto mcontrol
:mtime
      cls
      r222
      _dbtime -mem 70 -xlate 0F0F1F0F1770137030700E0F1E0F7870747040705F70F0F00A0F0C0F2A0F -macros
      goto mreplay
:mcontrol
      cls
      r222
      _dbTime -mem 70 -xlate 0F0F1F0F1770137030700E0F1E0F7870747040705F70F0F00A0F0C0F2A0F -macros -notimeout
:mreplay
      echo 
      echo   Thank you for watching this demonstration of RapidFile from Ashton-Tate
      echo 
      echo         The demonstration will restart automatically in 10 seconds.
      echo 
      echo                  You can press  S  to stop the demo now.
      echo 
      echo                     Or, press any key to restart now.
      echo 
      sg_askw 10 s  
      if errorlevel 255 goto mono
:chk1
      if errorlevel 2 goto mono
      if errorlevel 1 goto end
      if errorlevel 0 goto mono
:cdisplay
      r210
      echo 
      echo               Can you see  Red  &  Blue  in the box below?
      echo 
      sg_askw 15 yn  Press  Y  (if you can) or  N :
      if errorlevel 255 goto timeout1
:chk2
      if errorlevel 3 goto nope
      if errorlevel 2 goto bw
      if errorlevel 1 goto color
      if errorlevel 0 goto nope
:nope
      cls
      r210
      echo 
      echo Please, press only the letter  Y  or  N
      echo 
      sg_askw 60 yn .......Type  Y  if you can see Red & Blue,  N  if not :
      if errorlevel 255 goto timeout1
      goto chk2
:timeout1
      echo 
      echo 
      sg_askw 2 a  ...assuming a color monitor.
:color
      cls
      loop rfloop
      rem r221
      echo 
      echo 
      echo         You can set up this demonstration to run automatically.
      echo 
      echo       Wait 15 seconds without pressing a key and the demonstration
      echo                        will move along on its own.
      echo 
      echo 
      echo         Or...you can press any key now to view this demonstration
      echo                            at your own pace.
      echo 
      sg_askw 15 c  
      if errorlevel 255 goto ctime
      goto ccontrol
:ctime
      cls
      r222
      _dbtime -mem 70 -macros
      goto creplay
:ccontrol
      cls
      r222
      _dbtime -notimeout -mem 70 -macros
:creplay
      echo 
      echo   Thank you for watching this demonstration of RapidFile from Ashton-Tate
      echo 
      echo         The demonstration will restart automatically in 10 seconds.
      echo 
      echo                  You can press  S  to stop the demo now.
      echo 
      echo                     Or, press any key to restart now.
      echo 
      sg_askw 10 s  
      if errorlevel 255 goto color
:chk3
      if errorlevel 2 goto color
      if errorlevel 1 goto end
      if errorlevel 0 goto color
:bw
      cls
      loop rfloop
      rem r221
      echo 
      echo 
      echo         You can set up this demonstration to run automatically.
      echo 
      echo       Wait 15 seconds without pressing a key and the demonstration
      echo                        will move along on its own.
      echo 
      echo 
      echo         Or...you can press any key now to view this demonstration
      echo                            at your own pace.
      echo 
      sg_askw 15 c  
      if errorlevel 255 goto btime
      goto bcontrol
:btime
      cls
      r222
      _dbtime -mem 70 -xlate 0F0F1F0F1770137030700E0F1E0F7870747040705F70F0F00A0F0C0F2A0F -macros
      goto breplay
:bcontrol
      cls
      r222
      _dbtime -mem 70 -xlate 0F0F1F0F1770137030700E0F1E0F7870747040705F70F0F00A0F0C0F2A0F -macros -notimeout
:breplay
      echo 
      echo   Thank you for watching this demonstration of RapidFile from Ashton-Tate
      echo 
      echo         The demonstration will restart automatically in 10 seconds.
      echo 
      echo                  You can press  S  to stop the demo now.
      echo 
      echo                     Or, press any key to restart now.
      echo 
      sg_askw 10 s  
      if errorlevel 255 goto bw
:chk4
      if errorlevel 2 goto bw
      if errorlevel 1 goto end
      if errorlevel 0 goto bw
:end
echo off
cls
echo 
echo          Thank you for watching this demonstration of RapidFile
echo 
echo 
echo           In the U.S., for the name of the dealer nearest you
echo 
echo                           Call 800-437-4329
echo 
echo 
echo                For the sales desk in the United Kingdom
echo 
echo                           Call [0628] 33123
echo 
echo       ------------------------------------------------------------
echo 
echo          To restart the demo:
echo 
echo                  Type RFDEMO  and press 
echo 
:finis
