echo off
cls
if not exist rtdemo.exe goto files
if not exist sg_dmode.com goto files
echo One moment please...
sg_mem 270
if errorlevel 1 goto not_enuf
goto mem_ok

:files
echo It appears you're trying to run the Metro demo from
echo a drive or directory that doesn't have the SAVETIME files.
echo 
echo If you're running SAVETIME from a hard disk:
echo    Change to the subdirectory that contains the demo files,
echo    then type SAVETIME again.
echo 
echo If the Metro demo disk is in Drive A:
echo    Type A: and press ENTER; then type SAVETIME
echo 

echo 
goto done0

:not_enuf
echo 
echo You do not have enough memory available to run the demo.
echo Please free up additional memory and try again.
goto done

:mem_ok
sg_dmode
if errorlevel 8 goto cmodes
if errorlevel 7 goto mono
goto cmodes

:mono
rtdemo -xlate 1F701E70C08F8C8F8A8F0F0F0E0FF0F09F8F8E8F740F3070 "ryan"
goto done

:cmodes
echo 
echo Before we begin, we need to find out what kind of monitor you're using
echo 
echo    If you're using a color monitor, please type "C"
echo 
echo    If you're using a monochrome or "black & white" monitor, please type "B"
echo 
sg_askw 15 cb      (Type C for color, or B for Black and White):
if errorlevel 255 goto timeout

:chkdmode
if errorlevel 3 goto oops
if errorlevel 2 goto bw
if errorlevel 1 goto color
if errorlevel 0 goto oops

:oops
echo 
echo             Please press C or B...
echo 
sg_ask cb      (Type C for Color, or B for Black and White):
goto chkdmode

:timeout
echo 
echo 
sg_askw 2 a Assuming they're using a color monitor...

:color
cls
echo 
echo  The Metro Demo is loading ..
echo 
rtdemo "ryan"
goto done

:bw
cls
echo The Metro Demo is loading...
echo 
rtdemo -xlate 1F701E70C08F8C8F8A8F0F0F0E0FF0F09F8F8E8F740F3070 "ryan"
goto done

:done
cls
echo 
echo To get more done in less time, get Lotus Metro today.
echo 
echo To see the Metro Demo again, please type SAVETIME.
echo 

:done0
